"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _subscribe = _interopRequireDefault(require("./subscribe"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const useOpenHandler = ({
  messageQueue,
  send,
  socket
}) => {
  const openHandler = (0, _react.useCallback)(() => {
    while (messageQueue.current.length > 0) {
      // send any queued messages on the socket now that it is open
      var msg = messageQueue.current.shift();
      send(msg);
    }
  }, [messageQueue, send]);
  (0, _subscribe.default)(socket, "open", openHandler);
};

var _default = useOpenHandler;
exports.default = _default;