"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

const useSendHandler = ({
  socket,
  messageQueue
}) => (0, _react.useCallback)(message => {
  if (!global.WebSocket) {
    throw new Error("Attempt to send WebSocket message in unsupported environment.");
  }

  if (socket && socket.readyState === WebSocket.OPEN) {
    socket.send(JSON.stringify(message));
  } else {
    messageQueue.current.push(message);
  }
}, [messageQueue, socket]);

var _default = useSendHandler;
exports.default = _default;